Hi I need to create a Camera view in the first quadrant (1.e XY plane with both x and y facing positive direction) with respect to LOCAL COORDINATE i.e new cooordinate system
Any Suggestions will be helpful..
I used the following code but it gives the results wrt to global coordinate doesnt...
How to change the vector of a line.. I tried one script. But it doesnt work and gives error in PutDirection syntax
Here is my code
Sub CATMain()
Dim partDocument1
Set partDocument1 = CATIA.ActiveDocument
Dim part1
Set part1 = partDocument1.Part
Dim hybridShapeFactory1
Set...
I have installed Catia VR20 in my PC. The command which i have used to invoke Measure item option, i have attached below.
That particular code works in my PC whereas in doesn't work in my Office with same version installed in my office. Can someone tell me wat am i missing to make it work...
Hi
I have disassembled a surface and extracted lines and curves out of it.. now i want measure the radius of the curvature of those curves if my disassembled items is circle, tehn i could measure the radius from it, whereas if it is curve, in that case tht code doesnt work...
below is the code...
I have a hybrid shape "INtersect in a know geometric set. I would like to do the selection automatically which is in the Geometric set named " geometric_Set_Disassemble rather specifying the name of the intersect
Any suggestions. My actual code is given below
Dim hybridbody8
Set hybridbody8 =...
Hi
I wanted to select a plane manually (user input). Once user selects the Plane (parent Geomertic Set is Unknown in this case), i want tht plane to be copied to the new geometric set (Geo_Set_Plane) which i created.
Any suggestions
How to add to the selection and copy it to the new...
Hi
I need to create the dimension of the section surface like i have shown in the attachment using vb script.
I have extracted the points and its coordinates using a script..... Now i need code/script to add visual dimension like tht with the coordinate details available...
I tried with some...
HI
I would like to save the screen shot/snapshot in the same folder where My actual screenshot.CATvbs present.
fileloc = [highlight #CC0000]"D:\Screenshot/"[/highlight]
Dim exten
exten = ".jpeg
i don wanna use the specific file location to be saved..any code to grab the location of the...
How to selects the Elements (points) which is in Particular Geometric Set
selection1.Search "Name=Point'.'*,all"
'selection1.Search "type=CATGmoSearch.Point,all"
The above 2 option i tried but it gives selection of all points available in the active sheet. I jus want point selected from a...
How to get the center of gravity coordinates for the selected surface. What function can be used for it ?
I tried with the below code. but its not giving correct values..i selected a surface with dimention 8x2 rectangle. and the below code gives the values as 10, 0 , 5.08
Sub CATMain()
Set...
1.Is there a function in catia macro which can extract a section with jus plane as input. a macro to give a section of any part with plane as input.
2. Once section is extracted; what function can be used to extract the end coordinate points automatically
Thanks
Barath :)
Hi .. I wrote a macro whihc takes the inertia parameter from catia and writes it in excel. I m struck in between; i tried to put a loop; it stops working. can someone help me with debuggin this code
Sub CATMain()
On Error Resume Next
' suppose you have Part document opened in active window
Dim...